function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.MinJWLuaVersion = "0.54"
   finaleplugin.Author = "Chris"
   finaleplugin.Copyright = "Copyright (c) Chris, 2019"
   finaleplugin.Version = "1.0"
   finaleplugin.Date = "19/10/2019"
   finaleplugin.AuthorEmail = "chris@finale-logiciel-aide-gravure-musicale.eu"
   finaleplugin.CategoryTags = "Measure"
   return "Num. mesure seulement sur partie active", "", ""
end


-- demander texte a l'utilisateur
local dialog = finenv.UserValueInput()
dialog.Title = plugindef()
dialog:SetTypes("String")
dialog:SetDescriptions("Veuillez entrer le numéro de votre région :")
local returnvalues = dialog:Execute()

-- si annuler -> fin
if not returnvalues then return end
local measurenumberregions = finale.FCMeasureNumberRegions()
measurenumberregions:LoadAll()
local idmnr

local function init()
	idmnr = tonumber(returnvalues[1])
	if not idmnr then return false end
	if idmnr <= 0 or idmnr > measurenumberregions.Count then return false end
	return true
end

if not init() then
	finenv.UI():AlertInfo("Valeur incorrecte",plugindef())
	return
end


-- convertir les numéros en FCSeparateMeasureNumber
local measnumregion = finale.FCMeasureNumberRegion()
if not measnumregion:Load(idmnr) then return end

local allparts = finale.FCParts()
allparts:LoadAll()

for part in each(allparts) do
	local isCurrent = part:IsCurrent()
	part:SwitchTo()

	if (not isCurrent) and (not part:IsScore()) then
		local sysstaves = finale.FCSystemStaves()
		sysstaves:LoadScrollView()
		local idFirstStaff = sysstaves:GetStartStaff()

		for indMeasure = measnumregion.StartMeasure,measnumregion.EndMeasure do
			local cell = finale.FCCell(indMeasure, idFirstStaff )

			local num = finale.FCSeparateMeasureNumber()
			num:ConnectCell(cell)
			num:AssignMeasureNumberRegion(measnumregion)
			num.ShowOverride = false
			num.HideOverride = true
			num:SaveNew()

			local measure = finale.FCMeasure()
			measure:Load(indMeasure)
			measure.ContainsManualMeasureNumbers = true
			measure:Save()
		end
	end
	part:SwitchBack()    
end
